cancel
Showing results for 
Search instead for 
Did you mean: 

Mage 2.1 Install - Step 4 - Unable to enable modules

Mage 2.1 Install - Step 4 - Unable to enable modules

I'm setting up a fresh install of Magento 2.1 via composer:

-Ubuntu 16.04

-Nginx 1.10.0

-Php 7.0.8

-Varnish 4.1.1

-Mysql 5.7.12

 

I started by using the cli for install but ran into:
[RuntimeException]
Too many arguments.

 

So I just went to dev.site.com/setup

 

Everything was going  smooth until step 4 where it's trying to install the modules.  I'm getting the following error and cannot complete setup:

 

An error has occurred.

Unable to enable modules because of the following constraints:
Cannot enable Magento_AdminNotification because it depends on disabled modules:
Magento_Security: Magento_AdminNotification->Magento_Backend->Magento_Security
Cannot enable Magento_AdvancedPricingImportExport because it depends on disabled modules:
Magento_Security: Magento_AdvancedPricingImportExport->Magento_Catalog->Magento_Backend->Magento_Security
Cannot enable Magento_Authorization because it depends on disabled modules:
Magento_Security: Magento_Authorization->Magento_Backend->Magento_Security
Cannot enable Magento_Authorizenet because it depends on disabled modules:
Magento_Security: Magento_Authorizenet->Magento_Backend->Magento_Security
etc.......

 

Thoughts?

 

6 REPLIES

Re: Mage 2.1 Install - Step 4 - Unable to enable modules

Hi,

 

I had this problem. As stupid as it sounds, I was with Chrome and the autofill made some javascript not load properly. Try with Firefox!

 

Frank

Re: Mage 2.1 Install - Step 4 - Unable to enable modules

Same here - had to switch from Mozzila to Chrome

Re: Mage 2.1 Install - Step 4 - Unable to enable modules

Hi,

 

Try clearing composer cache and run the setup from cli again.

Re: Mage 2.1 Install - Step 4 - Unable to enable modules

Thank you very much

Re: Mage 2.1 Install - Step 4 - Unable to enable modules

Same here - had to switch from Chrome to Mozzila FireFox its working

sample

Re: Mage 2.1 Install - Step 4 - Unable to enable modules

you can setup in private browser in fire fox or chrome